<?php

include_once("server/lib/mod_dbm/package.dbm.php");


class AuditManager {

    public static function addEntry($idUsuario, $sessionId, $action){
        $dao = new dbObject();
        $ts = time();
        $sId = $sessionId;
        $uId = $idUsuario;
        $stmt = $dao->connection->prepare("INSERT INTO auditoria_uso (id_usuario, session_id, audit_ts, action ) VALUES (?,?,?,?)");
        $stmt->bind_param("isis",$uId,$sId,$ts,$action);
        $stmt->execute();
    }
}
